Index: boost/thread/future.hpp
===================================================================
--- boost/thread/future.hpp	(revision 59567)
+++ boost/thread/future.hpp	(working copy)
@@ -404,13 +404,13 @@
             
             struct all_futures_lock
             {
-                unsigned count;
+                std::size_t count;
                 boost::scoped_array<boost::unique_lock<boost::mutex> > locks;
                 
                 all_futures_lock(std::vector<registered_waiter>& futures):
                     count(futures.size()),locks(new boost::unique_lock<boost::mutex>[count])
                 {
-                    for(unsigned i=0;i<count;++i)
+                    for(std::size_t i=0;i<count;++i)
                     {
                         locks[i]=boost::unique_lock<boost::mutex>(futures[i].future->mutex);
                     }
